public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-admin/hardinfo2/
Date: Thu, 27 Feb 2025 11:52:59 +0000 (UTC)	[thread overview]
Message-ID: <1740503678.c2c48d837f6d0199b54e8d8c0d01fd1c2e7127dc.davidroman@gentoo> (raw)

commit:     c2c48d837f6d0199b54e8d8c0d01fd1c2e7127dc
Author:     Quincy Fleming <quincyf467 <AT> protonmail <DOT> com>
AuthorDate: Tue Feb 25 17:14:38 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Feb 25 17:14:38 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c2c48d83

app-admin/hardinfo2: add 2.2.7

Bug: https://bugs.gentoo.org/944475
Signed-off-by: Quincy Fleming <quincyf467 <AT> protonmail.com>

 app-admin/hardinfo2/Manifest               |  1 +
 app-admin/hardinfo2/hardinfo2-2.2.7.ebuild | 67 ++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/app-admin/hardinfo2/Manifest b/app-admin/hardinfo2/Manifest
index 40e300a9b..ad7beeb3c 100644
--- a/app-admin/hardinfo2/Manifest
+++ b/app-admin/hardinfo2/Manifest
@@ -1 +1,2 @@
 DIST hardinfo2-2.2.4.tar.gz 7357418 BLAKE2B 04bfaa8ed2c2869c3b5eff4687bbf76cae7bdaf00aee5c29279a410c2e70e17a72d2432a150b1fa0ca3da522bf5e1f7d9d1b4203fe18ff257feb472c885116bc SHA512 952839fa0d268119441c75253dad3850b3883a769b9f791b9a266e2a4d2532448133ac64e437ae5db423c84acf09e1981711d4420ad178387fba8a6bbc9e80d7
+DIST hardinfo2-2.2.7.tar.gz 7361455 BLAKE2B 13d10e6ede5f06ad245fe6fb8d9d9a4161196da7c580a9a0ff963992e299d025740638b3ceaf21f6b5846f2e62b86eed87898b218256bcfdcc5167862698b3af SHA512 360da1b9399532f7cb9635e0d6fcf7b08c78221e600286ec11a6a55ed5f4680afc982664cfd7cb86677348245094834e1603020403fab85bb4bde59fe0a8e375

diff --git a/app-admin/hardinfo2/hardinfo2-2.2.7.ebuild b/app-admin/hardinfo2/hardinfo2-2.2.7.ebuild
new file mode 100644
index 000000000..1dbabd61d
--- /dev/null
+++ b/app-admin/hardinfo2/hardinfo2-2.2.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic xdg-utils
+
+DESCRIPTION="System Information and Benchmark for Linux Systems"
+HOMEPAGE="https://www.hardinfo2.org"
+SRC_URI="https://github.com/hardinfo2/hardinfo2/archive/refs/tags/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-release-${PV}"
+
+LICENSE="GPL-2+ GPL-3+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="benchmark fwupd +gtk3"
+
+DEPEND="
+	gtk3? ( x11-libs/gtk+:3 ) !gtk3? ( x11-libs/gtk+:2 )
+	>=dev-libs/glib-2.24
+	sys-libs/zlib
+	dev-libs/json-glib
+	net-libs/libsoup:3.0
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf
+	x11-libs/libX11
+	x11-libs/pango
+"
+RDEPEND="
+	${DEPEND}
+	dev-util/vulkan-tools
+	net-misc/iperf:3
+	sys-apps/dmidecode
+	sys-apps/lm-sensors
+	sys-fs/lsscsi
+	sys-fs/udisks:2
+	x11-apps/mesa-progs
+	x11-apps/xrandr
+	x11-misc/xdg-utils
+	benchmark? ( app-benchmarks/sysbench )
+	fwupd? ( sys-apps/fwupd )
+"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	sed -i -e 's:-O0 ::' CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	filter-flags -O*
+
+	local mycmakeargs=(
+		-DHARDINFO2_GTK3=$(usex gtk3)
+		-DHARDINFO2_QT5=0
+	)
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2025-02-27 11:53 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-27 11:52 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-27 11:52 [gentoo-commits] repo/proj/guru:master commit in: app-admin/hardinfo2/ David Roman
2024-11-28 12:59 Julien Roy
2024-11-07 23:44 David Roman
2024-11-07 23:44 David Roman
2024-11-02 20:52 David Roman
2024-11-02 20:52 David Roman
2024-10-03  9:43 Andrew Ammerlaan
2024-09-08 16:32 David Roman
2024-05-29  8:35 Florian Schmaus
2024-05-29  8:35 Florian Schmaus
2024-05-29  8:35 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1740503678.c2c48d837f6d0199b54e8d8c0d01fd1c2e7127dc.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox